
%global meadversion 1.9.1
%global namedversion 1.9.1.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jasypt}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.9.1.redhat-1

Name:           %{?scl_prefix}jasypt
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JASYPT: Java Simplified Encryption
Group:          Development/Java

%if %with mead
Source100: jasypt-1.9.1.redhat-1-scm-sources.zip
Source102: jasypt-1.9.1.redhat-1-lite.jar
Source103: jasypt-1.9.1.redhat-1.jar
Source104: jasypt-1.9.1.redhat-1-sources.jar
Source105: jasypt-1.9.1.redhat-1-javadoc.jar
Source106: jasypt-1.9.1.redhat-1-project-sources.tar.gz
Source107: jasypt-1.9.1.redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://www.jasypt.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Java library which enables encryption in java apps with minimum effort.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jasypt
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jasypt -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jasypt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jasypt-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jasypt-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jasypt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jasypt-%{namedversion} -x META-INF/\*
%{__ln_s} jasypt-%{namedversion} %{buildroot}%{_javadocdir}/jasypt
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILD.txt ChangeLog.txt LICENSE.txt NOTICE.txt README.txt RELEASING.txt USAGE.txt
%{_javadir}/jasypt-%{namedversion}.jar
%{_javadir}/jasypt.jar
%if %with javadoc
%{_javadir}/jasypt-%{namedversion}-javadoc.jar
%{_javadir}/jasypt-javadoc.jar
%endif
%{_javadir}/jasypt-%{namedversion}-sources.jar
%{_javadir}/jasypt-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jasypt-%{namedversion}
%{_javadocdir}/jasypt
%endif

%changelog
* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 1.9.1-1.redhat_1.1
- release

